Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: issue with epics in python
From: Cyrille Thomas <Cyrille.Thomas@esss.se>
To: "tech-talk@aps.anl.gov" <tech-talk@aps.anl.gov>
Date: Wed, 27 Sep 2017 09:50:10 +0000

Hi,

 

 

I just installed pyepics on my mac, followed the instruction but got an error message when running a script.

Can you help me to find the bug?

 

Here is what I have done: 

I installed epics base 3.15.4 and make in the folder

I run the command NOLIBCA=1 pip install pyepics

Then run the script and then got the following error:

 

python DTU_acquisition_script.py 

Traceback (most recent call last):

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/ca.py", line 252, in initialize_libca

    libca = load_dll(find_libca())

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 426, in LoadLibrary

    return self._dlltype(name)

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 348, in __init__

    self._handle = _dlopen(self._name, mode)

OSError: dlopen(/Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib, 6): Symbol not found: _EPICS_CA_ADDR_LIST

  Referenced from: /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

  Expected in: flat namespace

 in /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

Traceback (most recent call last):

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/ca.py", line 252, in initialize_libca

    libca = load_dll(find_libca())

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 426, in LoadLibrary

    return self._dlltype(name)

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 348, in __init__

    self._handle = _dlopen(self._name, mode)

OSError: dlopen(/Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib, 6): Symbol not found: _EPICS_CA_ADDR_LIST

  Referenced from: /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

  Expected in: flat namespace

 in /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "DTU_acquisition_script.py", line 61, in <module>

    ampli = PV('amplitude')

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/pv.py", line 140, in __init__

    if ca.current_context() is None:

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/ca.py", line 406, in wrapper

    initialize_libca()

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/ca.py", line 254, in initialize_libca

    raise ChannelAccessException('loading Epics CA DLL failed: ' + str(exc))

epics.ca.ChannelAccessException: loading Epics CA DLL failed: dlopen(/Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib, 6): Symbol not found: _EPICS_CA_ADDR_LIST

  Referenced from: /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

  Expected in: flat namespace

 in /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

Traceback (most recent call last):

  File "/Users/cyrillethomas/anaconda/lib/python3.6/site-packages/epics/ca.py", line 252, in initialize_libca

    libca = load_dll(find_libca())

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 426, in LoadLibrary

    return self._dlltype(name)

  File "/Users/cyrillethomas/anaconda/lib/python3.6/ctypes/__init__.py", line 348, in __init__

    self._handle = _dlopen(self._name, mode)

OSError: dlopen(/Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib, 6): Symbol not found: _EPICS_CA_ADDR_LIST

  Referenced from: /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

  Expected in: flat namespace

 in /Users/cyrillethomas/epicsbase/base-3.15.4/lib/darwin-x86/libca.dylib

 

 

 

 

Cheers, 

 

Cyrille Thomas

 

 

 

-- 

 

 


Replies:
Re: issue with epics in python Matt Newville

Navigate by Date:
Prev: Re: EPICS base startup directory in an installation location. Jeong Han Lee
Next: Re: Question about epics/Labview and Ca Lab -- how to put time to my PV from signal waveform chart in labview. Carsten Winkler
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: RE: PI E-873 motors Goetze, Kurt A.
Next: Re: issue with epics in python Matt Newville
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 27 Sep 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·